<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::table('contracts', function (Blueprint $table) {
            $table->foreignUuid('sales_phase_id')->nullable()->constrained('sales_phases')->nullOnDelete();
        });
    }

    public function down(): void {
        Schema::table('contracts', function (Blueprint $table) {
            $table->dropConstrainedForeignId('sales_phase_id');
        });
    }
};
